Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStylePlugin Class Reference

The QStylePlugin class provides an abstract base for custom QStyle plugins. More...

`#include <qstyleplugin.h>`

List of all member functions.

## Public Members

- QStylePlugin ()
- ~QStylePlugin ()
- virtual QStringList keys () const = 0
- virtual QStyle * create ( const QString & key ) = 0

## Detailed Description

The QStylePlugin class provides an abstract base for custom QStyle plugins.

The style plugin is a simple plugin interface that makes it easy to create custom styles that can be loaded dynamically into applications with a QStyleFactory.

Writing a style plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the Q_EXPORT_PLUGIN macro. See the plugins documentation for an example.

See also Plugins.

## Member Function Documentation

### QStylePlugin::QStylePlugin ()

Constructs a style plugin. This is invoked automatically by the Q_EXPORT_PLUGIN macro.

### QStylePlugin::~QStylePlugin ()

Destroys the style plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QStyle * QStylePlugin::create ( const QString & key )`[pure virtual]`

Creates and returns a QStyle object for the style key key. The style key is usually the class name of the required style.

See also keys().

### QStringList QStylePlugin::keys () const`[pure virtual]`

Returns the list of style keys this plugin supports.

These keys are usually the class names of the custom styles that are implemented in the plugin.

See also create().

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.